Bug 837688 - Review Request: python-cliff - Command Line Interface Formulation Framework
Review Request: python-cliff - Command Line Interface Formulation Framework
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Runge
Fedora Extras Quality Assurance
:
Depends On: 837686 837687
Blocks: 837689
  Show dependency treegraph
 
Reported: 2012-07-04 15:28 EDT by Ralph Bean
Modified: 2012-07-06 12:57 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-06 12:57:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mrunge: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ralph Bean 2012-07-04 15:28:39 EDT
Spec URL: http://threebean.org/rpm/python-cliff.spec
SRPM URL: http://threebean.org/rpm/python-cliff-1.0-1.fc17.src.rpm
Description: 
cliff is a framework for building command line programs. It uses setuptools
entry points to provide subcommands, output formatters, and other
extensions.

Documentation for cliff is hosted on readthedocs.org at
http://readthedocs.org/docs/cliff/en/latest/

Fedora Account System Username: ralph


rpmlint
-------
--- ~/rpmbuild ยป rpmlint {SPECS,SRPMS}/python-cliff* 
python-cliff.src: W: spelling-error %description -l en_US setuptools -> setup tools, setup-tools, toadstools
python-cliff.src: W: spelling-error %description -l en_US subcommands -> sub commands, sub-commands, commands
python-cliff.src: W: spelling-error %description -l en_US formatters -> for matters, for-matters, formatted
python-cliff.src: W: spelling-error %description -l en_US readthedocs -> headteachers
1 packages and 1 specfiles checked; 0 errors, 4 warnings.
Comment 1 Ralph Bean 2012-07-05 22:38:09 EDT
Spec URL: http://threebean.org/rpm/python-cliff.spec
SRPM URL: http://threebean.org/rpm/python-cliff-1.0-2.fc17.src.rpm

Revised spec that manually disables python3 support until https://bugzilla.redhat.com/show_bug.cgi?id=837087 is resolved.
Comment 2 Matthias Runge 2012-07-06 02:17:30 EDT
I'll take this
Comment 3 Matthias Runge 2012-07-06 03:38:26 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
     Note: The package did not built BR could therefore not be checked or the
     package failed to build because of missing BR
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Fully versioned dependency in subpackages, if present.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST License file installed when any subpackage combination is installed.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint output is silent.
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/mrunge/review/837688/cliff-1.0.tar.gz :
  MD5SUM this package     : d65d1a190f8cf05a709bb27ab451f6dd
  MD5SUM upstream package : d65d1a190f8cf05a709bb27ab451f6dd

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[-]: MUST Useful -debuginfo package or justification otherwise.
[-]: SHOULD Reviewer should test that the package builds in mock.
[!]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[?]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[x]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.


one minor:
- bundled egg-info needs to get removed in %prep section
rm -rf cliff.egg-info

That can be done during import.

Package APPROVED
Comment 4 Ralph Bean 2012-07-06 09:28:20 EDT
Thanks again, Matthias!
Comment 5 Ralph Bean 2012-07-06 09:28:50 EDT
New Package SCM Request
=======================
Package Name: python-cliff
Short Description: Command Line Interface Formulation Framework
Owners: ralph
Branches: f17 f16 el6
InitialCC:
Comment 6 Gwyn Ciesla 2012-07-06 09:40:26 EDT
Git done (by process-git-requests).
Comment 7 Fedora Update System 2012-07-06 11:19:06 EDT
python-cliff-1.0-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-cliff-1.0-3.el6

Note You need to log in before you can comment on or make changes to this bug.